> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhooks

> Returns a list of all [webhooks](https://docs.seam.co/developer-tools/webhooks).



## OpenAPI

````yaml /openapi.json post /webhooks/list
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /webhooks/list:
    post:
      tags:
        - /webhooks
      summary: List Webhooks
      description: >-
        Returns a list of all
        [webhooks](https://docs.seam.co/developer-tools/webhooks).
      operationId: webhooksListPost
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ok:
                    type: boolean
                  webhooks:
                    items:
                      $ref: '#/components/schemas/webhook'
                    type: array
                required:
                  - webhooks
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - api_key: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.webhooks.list();

            /*
            [
              {
                "event_types": [
                  "device.connected",
                  "device.disconnected"
                ],
                "secret": "mySecret",
                "url": "https://example.com/webhook",
                "webhook_id": "ffe5cc3c-f3f4-48e8-b377-6f76c05d09a1"
              }
            ]
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/webhooks/list" \
              --header "Authorization: Bearer $SEAM_API_KEY"

            # Response:

            # {

            #   "webhooks": [

            #     {

            #       "event_types": [

            #         "device.connected",

            #         "device.disconnected"

            #       ],

            #       "secret": "mySecret",

            #       "url": "https://example.com/webhook",

            #       "webhook_id": "ffe5cc3c-f3f4-48e8-b377-6f76c05d09a1"

            #     }

            #   ]

            # }
        - lang: python
          label: Seam SDK
          source: |-
            seam.webhooks.list()

            # [
                Webhook(
                    event_types=["device.connected", "device.disconnected"],
                    secret="mySecret",
                    url="https://example.com/webhook",
                    webhook_id="ffe5cc3c-f3f4-48e8-b377-6f76c05d09a1",
                )
            ]
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.webhooks.list()

            # => [
              {
                "event_types" => %w[device.connected device.disconnected],
                "secret" => "mySecret",
                "url" => "https://example.com/webhook",
                "webhook_id" => "ffe5cc3c-f3f4-48e8-b377-6f76c05d09a1",
              },
            ]
        - lang: php
          label: Seam SDK
          source: |-
            $seam->webhooks->list();

            // [
                [
                    "event_types" => ["device.connected", "device.disconnected"],
                    "secret" => "mySecret",
                    "url" => "https://example.com/webhook",
                    "webhook_id" => "ffe5cc3c-f3f4-48e8-b377-6f76c05d09a1",
                ],
            ];
        - lang: bash
          label: Seam CLI
          source: |-
            seam webhooks list

            # [
            #   {
            #     "event_types": [
            #       "device.connected",
            #       "device.disconnected"
            #     ],
            #     "secret": "mySecret",
            #     "url": "https://example.com/webhook",
            #     "webhook_id": "ffe5cc3c-f3f4-48e8-b377-6f76c05d09a1"
            #   }
            # ]
components:
  schemas:
    webhook:
      description: >-
        Represents a [webhook](https://docs.seam.co/developer-tools/webhooks)
        that enables you to receive notifications of events. When you create a
        webhook, specify the endpoint URL at which you want to receive events
        and the set of event types that you want to receive.
      properties:
        event_types:
          description: >-
            Types of events that the
            [webhook](https://docs.seam.co/developer-tools/webhooks) should
            receive.
          items:
            type: string
          type: array
        secret:
          description: >-
            Secret associated with the
            [webhook](https://docs.seam.co/developer-tools/webhooks).
          type: string
        url:
          description: >-
            URL for the
            [webhook](https://docs.seam.co/developer-tools/webhooks).
          type: string
        webhook_id:
          description: ID of the [webhook](https://docs.seam.co/developer-tools/webhooks).
          type: string
      required:
        - webhook_id
        - url
      type: object
      x-route-path: /webhooks
  securitySchemes:
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http

````